# trpage_swap.cpp File Reference

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <trpage_swap.h>`

Include dependency graph for trpage_swap.cpp:

## Functions

void | trpg_swap_two (const char *in, char *out)
void | trpg_swap_four (const char *in, char *out)
void | trpg_swap_eight (const char *in, char *out)
void | trpg_swap_sixteen (const char *in, char *out)
short | trpg_byteswap_short (short number)
int | trpg_byteswap_int (int number)
long | trpg_byteswap_long (long number)
void | trpg_byteswap_float_to_4bytes (float number, char result[4])
void | trpg_byteswap_double_to_8bytes (double number, char result[8])
float | trpg_byteswap_4bytes_to_float (const char result[4])
double | trpg_byteswap_8bytes_to_double (const char result[8])
trpgllong | trpg_byteswap_llong (trpgllong number)
trpgEndian | trpg_cpu_byte_order (void)

## Function Documentation

float trpg_byteswap_4bytes_to_float | ( | const char | result[4] | ) |

double trpg_byteswap_8bytes_to_double | ( | const char | result[8] | ) |

void trpg_byteswap_double_to_8bytes | ( | double | number,
|  | char | result[8]
| ) |

void trpg_byteswap_float_to_4bytes | ( | float | number,
|  | char | result[4]
| ) |

int trpg_byteswap_int | ( | int | number | ) |

trpgllong trpg_byteswap_llong | ( | trpgllong | number | ) |

long trpg_byteswap_long | ( | long | number | ) |

short trpg_byteswap_short | ( | short | number | ) |

trpgEndian trpg_cpu_byte_order | ( | void |  | ) |

void trpg_swap_eight | ( | const char * | in,
|  | char * | out
| ) |

void trpg_swap_four | ( | const char * | in,
|  | char * | out
| ) |

void trpg_swap_sixteen | ( | const char * | in,
|  | char * | out
| ) |

void trpg_swap_two | ( | const char * | in,
|  | char * | out
| ) |